lens-action-0.2.0.2: Monadic Getters and Folds

Copyright | (C) 2012-14 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | experimental
Portability | non-portable
Safe Haskell | None
Language | Haskell98

Control.Lens.Action.Reified

Description

Synopsis

- newtype ReifiedMonadicFold m s a = MonadicFold {
  - runMonadicFold :: MonadicFold m s a
  }

# Documentation

newtype ReifiedMonadicFold m s a Source

Reify a `MonadicFold` so it can be stored safely in a container.

Constructors

MonadicFold |

Fields

runMonadicFold :: MonadicFold m s a

Instances

Category * (ReifiedMonadicFold m) Source |
MonadReader s (ReifiedMonadicFold m s) Source |
Arrow (ReifiedMonadicFold m) Source |
ArrowChoice (ReifiedMonadicFold m) Source |
ArrowApply (ReifiedMonadicFold m) Source |
Profunctor (ReifiedMonadicFold m) Source |
Choice (ReifiedMonadicFold m) Source |
Strong (ReifiedMonadicFold m) Source |
Monad (ReifiedMonadicFold m s) Source |
Functor (ReifiedMonadicFold m s) Source |
Applicative (ReifiedMonadicFold m s) Source |
Alternative (ReifiedMonadicFold m s) Source |
MonadPlus (ReifiedMonadicFold m s) Source |
Plus (ReifiedMonadicFold m s) Source |
Alt (ReifiedMonadicFold m s) Source |
Apply (ReifiedMonadicFold m s) Source |
Bind (ReifiedMonadicFold m s) Source |
Monoid (ReifiedMonadicFold m s a) Source |
Semigroup (ReifiedMonadicFold m s a) Source |